# WinStd: Windows HTTP Client

Loading...
Searching...
No Matches
Windows HTTP Client

## Classes

class | winstd::http
| HTTP handle wrapper class. More...

## Functions

BOOL | WinHttpQueryHeaders (HINTERNET hRequest, DWORD dwInfoLevel, DWORD &dwData)
| Retrieves header information associated with an HTTP request.
BOOL | WinHttpQueryHeaders (HINTERNET hRequest, DWORD dwInfoLevel, std::wstring &sData)
| Retrieves header information associated with an HTTP request.

## Detailed Description

## Function Documentation

## WinHttpQueryHeaders() [1/2]

BOOL WinHttpQueryHeaders | ( | HINTERNET | hRequest,
|  | DWORD | dwInfoLevel,
|  | DWORD & | dwData )

inline

Retrieves header information associated with an HTTP request.

See also
  WinHttpQueryHeaders function

## WinHttpQueryHeaders() [2/2]

BOOL WinHttpQueryHeaders | ( | HINTERNET | hRequest,
|  | DWORD | dwInfoLevel,
|  | std::wstring & | sData )

inline

Retrieves header information associated with an HTTP request.

See also
  WinHttpQueryHeaders function